Searches Purchase Orders by parameters
Searches Purchase Orders by parameters
Query Parameters
Filter by.
Available field name values: id, external_purchase_order_id, reference_purchase_order_id, status, outlet, supplier, eta, created_on, modified_on, product_id, created_by_id, created_by_first_name, created_by_surname
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: id:gte:1,outlet:in:outlet1|outlet2
Order by.
Available field name values: id, status, outlet, supplier, eta, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname
Available direction values: asc, desc.
Example: id asc, supplier desc
Include items
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Purchase Orders data
PurchaseOrder.PagingResponse
Purchase order model
Show Child Parameters
Query Parameters
Headers
Searches Purchase Order Items by Purchase Order id and other parameters
Searches Purchase Order Items by Purchase Order id and other parameters
Query Parameters
Filter by.
Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size mapped to value name, colour mapped to value name, brand mapped to value name, season mapped to value name, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, supplier_buy_ex, total_supplier_buy_ex, attribute, supplier_id, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: quantity_on_order:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123
Order by.
Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size, colour, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, total_supplier_buy_ex, brand, season, attribute, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.
Available direction values: asc, desc.
Example: quantity_received_variance asc, quantity_on_order desc, attribute:101
Select fields.
Available field name values: id, po_id, quantity_remaining, quantity_ordered, quantity_received, quantity_cancelled, quantity_special_order, quantity_back_order, quantity_received_variance, supplier_buy_ex, product_id, product_supplier_buy_ex.
Example: id
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Purchase Order id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Purchase Order Items data
PurchaseOrderItem.PagingResponse
Purchase Order Item
Show Child Parameters
Path Parameters
Query Parameters
Headers
Deletes specific Purchase Order Item by id
Deletes specific Purchase Order Item by id
Path Parameters
Purchase Order id
Purchase Order Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Purchase Order Item was deleted
Path Parameters
Headers
receiptvariancereasons
Gets Receipt Variance Reason by id
Gets Receipt Variance Reason by id
Path Parameters
Receipt Variance Reason id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Receipt Variance Reason
ReceiptVarianceReason
Receipt Variance Reason Model
Receipt Variance Reason Id.
Receipt Variance Reason name
>= 0 characters<= 100 characters
Is Receipt Variance Reason Enabled
Default:true
Created on
Show Child Parameters
Modified on